SEARCH
NEW RPMS
DIRECTORIES
ABOUT
FAQ
VARIOUS
BLOG
DONATE


YUM REPOSITORY

 
 
Changelog for python3-qt4-4.11.4-6.3.x86_64.rpm :
Fri Aug 14 14:00:00 2015 termimAATTgmail.com
- change required sip version to 4.16.9

Sun Jun 14 14:00:00 2015 termimAATTgmail.com
- Remove build-compare.diff as already in upstream

Sat Jun 13 14:00:00 2015 termimAATTgmail.com
- Update to 4.11.4
- This is a minor functional and bug-fix release including support for Qt
- v4.8.7.

Tue Jan 27 13:00:00 2015 termimAATTgmail.com
- Update to 4.11.3
- This is a bug-fix release.

Sat Oct 11 14:00:00 2014 termimAATTgmail.com
- Update to 4.11.2 - This is a bug-fix only release.
- run spec-cleaner

Thu Jul 31 14:00:00 2014 toddrme2178AATTgmail.com
- Update to 4.11.1
- Added the -tr-function, -trUtf8-function and -translate-function command
line options to pylupdate4.
- Bug fixes.

Sun Jun 15 14:00:00 2014 lbeltrameAATTkde.org
- Add pyqt4_add_pro_files.diff: fix .pro files not being generated
with configure.py
- Switch back to configure.py as -ng does not generate pyqtconfig4
and that is needed by downstream projects (PyKDE4)

Thu May 29 14:00:00 2014 termimAATTgmail.com
- Update to 4.11
- By default a Python slot is only invoked if the underlying C++ instance
still exists.
- Added the no_receiver_check argument to connect().
- Added support for Qt v4.8.6.
- Added --target-py-version, --sysroot and --no-tools options to
configure-ng.py.
- Cross-compiling (specifically to iOS and Android when building against Qt
v5) is now supported.
- SIP v4.16 is now required.
- Bug fixes.

Sun Mar 23 13:00:00 2014 tittiatcokeAATTgmail.com
- Update to 4.10.4. This is a minor bug fix release
- Drop patch fix-phonon.diff due to upstream inclusion

Fri Nov 15 13:00:00 2013 josephAATTmulloy.me
- Fixed missing phonon support (bnc#848953)

* Patched configure.py so that it properly detects phonon

Wed Sep 11 14:00:00 2013 tittiatcokeAATTgmail.com
- Build issues are resolved with the Python KDE bindings.
Python-sip is upgraded again to 4.15.1

Fri Aug 30 14:00:00 2013 tittiatcokeAATTgmail.com
- Revert back to 4.10.2 due to the downgrade of python-sip

Tue Aug 27 14:00:00 2013 termimAATTgmail.com
- Update to 4.10.3. This is a minor bug fix release.

Thu Jun 27 14:00:00 2013 termimAATTgmail.com
- Update to 4.10.2

* Bug fixes.
- Update to 4.10.1

* Added support for QtCore.pyqtSetPickleProtocol() and
QtCore.pyqtPickleProtocol() to set and get the protocol used to pickle
Python objects when serialising them for Qt.

* Added support for the --resource-suffix option to pyuic4.

* Added a new build system (configure-ng.py) which will be compatible with
SIP v5 and will eventually support cross-compilation.

* Added support for Qt v5.0.2.

* Bug fixes.

Mon Apr 15 14:00:00 2013 idonmezAATTsuse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls

Mon Mar 4 13:00:00 2013 mlinAATTsuse.com
- Update to 4.10

* The focus of this release is on support for the final release of Qt v5.0.
- Update disable-rpaths.diff

Sun Dec 9 13:00:00 2012 lbeltrameAATTkde.org
- Update to 4.9.6:
- Added the missing constBits() and constScanLine() methods to QImage.
- A QPoint can now be specified whenever a QPointF is expected.
- Added support for Qt v4.8.4.
- Added support for Qt v5.0-rc1 (QtCore, QtGui, QtHelp, QtNetwork, QtSql,
QtSvg, QtWebKit and QtXml only).
- Added the --no-deprecated option to configure.py.
- SIP v4.14.2 is now required.

Thu Nov 22 13:00:00 2012 toddrme2178AATTgmail.com
- Removed openSUSE 11.4 spec file workarounds

Mon Oct 1 14:00:00 2012 einarAATTheavensinferno.net
- Updated to the latest upstream version:
- Added support for Qt v4.8.3.
- Added support for Qt v5-beta1 (QtCore, QtGui, QtHelp, QtNetwork, QtSql,
QtSvg, QtWebKit and QtXml only).
- Implemented __str__ and __unicode__ for QChar.
- Added the missing QPointF operator
*(qreal, QPointF).
- Added the customcompleter.py example.
- SIP v4.14 is now required.

Thu Jul 5 14:00:00 2012 dmuellerAATTsuse.com
- require the sip version it built against (bnc#768499)
- Update to version 4.9.4:

* bug fixes

Fri Jun 22 14:00:00 2012 mlinAATTsuse.com
- Update to version 4.9.2

* Added support for Qt v4.8.2.

* Added support for Qt v5-alpha (QtCore and QtGui only).

* Added support for Python v3.3.

* bool(QPyNullVariant(...)) now returns False rather than True to mimic the behaviour of None.

* Exposed the pyqtBoundSignal type object in the QtCore module.

* Added the signal attribute to pyqtBoundSignal containing the signature that would be returned by SIGNAL().

* Added the optional package argument to uic.loadUi() to properly handle relative imports.

* pyuic4 now supports themed icons.

* Added the spreadsheet example from Hans-Peter Jansen.

Mon Jun 4 14:00:00 2012 idonmezAATTsuse.com
- Update license

Fri May 25 14:00:00 2012 toddrme2178AATTgmail.com
- Update to version 4.9.1

* Bugfixes
- Spec file cleanups
- Fixed licenses

Sun Dec 25 13:00:00 2011 idonmezAATTsuse.com
- Update to version 4.9

* Fixed %PickleCode for QByteArray for Python v3.

* Completed the support for QPainter.drawPixmapFragments().

* pyuic4 now makes sure that a module implementing a resource file is only
imported once.

* Fixed a regression in the handling of translated strings by pyuic4.

* QDBusArgument now handles QStringList explicitly so that it can be used with
QString v2 API.

* Renamed QDBusArgument.write() to add().

* Changed QDBusArgument.write() to use a QMetaType.Type to specify the integer
sub-type to be consistent with beginArray() and beginMap().

* Implemented QDBusArgument.write().

* DBus dicts are now demarshalled to Python dicts.

* Added support for demarshalling DBus basic types, variants and arrays.

* QDBusObjectPath, QDBusSignal and QDBusVariant instances are now demarshalled
automatically.

* DBus structures are now demarshalled to tuples.

* Added the missing cornerWidget() and setCornerWidget() methods to QMenuBar.
- See include ChangeLog for complete change list.

Fri Nov 25 13:00:00 2011 cgiboudeauxAATTgmx.com
- Use %make_install

Mon Nov 21 13:00:00 2011 cgiboudeauxAATTgmx.com
- Update to 4.8.6, see http://riverbankcomputing.com/static/Downloads/PyQt4/ChangeLog
- Define python3_sitearch for Opensuse < 12.1
- Spec cleanup

Tue Oct 18 14:00:00 2011 jdmulloyAATTgmail.com
- Added phonon-devel to BuildRequires in python3-qt4.spec

* Adds phonon support to python3-qt4 which is required by programs like OpenLP.org

Tue Aug 30 14:00:00 2011 idonmezAATTsuse.com
- Remove check for obsolete openSUSE versions.

Mon Aug 29 14:00:00 2011 termimAATTgmail.com
- Add python-qt4-utils package to avoid conflicts between python2
and python3 versions

Mon Aug 22 14:00:00 2011 idonmezAATTnovell.com
- Unbreak -debuginfo package creation

Tue Aug 16 14:00:00 2011 termimAATTgmail.com
- update to 4.8.5
- This is a minor bug fix release.
- add python3-qt4.spec